package com.diagbot.facade;

import com.diagbot.client.CRFServiceClient;
import com.diagbot.dto.WordBillCrfDTO;
import com.diagbot.model.ai.AIAnalyze;
import com.diagbot.vo.IndicationPushVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description: 通过业务facade
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class CommonFacade {
    @Autowired
    CRFServiceClient crfServiceClient;

    public WordBillCrfDTO crf_process(IndicationPushVO indicationPushVO){
        AIAnalyze aiAnalyze = new AIAnalyze(crfServiceClient);
        WordBillCrfDTO wordBillCrfDTO = new WordBillCrfDTO();
        aiAnalyze.aiProcess(indicationPushVO,wordBillCrfDTO);
        return wordBillCrfDTO;
    }

}
